﻿using System.Collections.Generic;
using System.Data.Entity;
using DomainClasses;

namespace DataAccess
{
  public class ScreencastContext : DbContext
  {
    public DbSet<Screencast> Screencasts { get; set; }
    public DbSet<Topic> Topics { get; set; }
    public DbSet<Author> Authors { get; set; }
    public DbSet<ScreenCastSection> ScreenCastSections { get; set; }
  }

  public class MyInitializer : CreateDatabaseIfNotExists<ScreencastContext>
  {
    protected override void Seed(ScreencastContext context)
    {
      var topicList = new List<Topic>
      { new Topic { Name = "Web Dev" }, 
        new Topic { Name = "Data Dev" },
        new Topic { Name = "Client Dev" },
        new Topic { Name = "Service Dev" }, 
        new Topic { Name = "UX" }
      };
      topicList.ForEach(t => context.Topics.Add(t));
      context.Authors.Add(new Author {Name = "Julie Lerman"});
      context.Authors.Add(new Author { Name = "Sampson Giantpuppy" });
      context.Authors.Add(new Author { Name = "Mike Campbell" });
      base.Seed(context);
    }
  }
}
