﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using DataAccess;
using DomainClasses;

namespace Repositories
{
  public class StupidSimpleRepository
  {
    public List<Topic> GetTopicList()
    {
      using (var context = new ScreencastContext())
      {
        return context.Topics.ToList();
      }
    }

    public void SaveNewScreencast(Screencast screencast)
    {
      using (var context = new ScreencastContext())
      {
        context.Screencasts.Add(screencast);
        context.SaveChanges();
      }
    }
    public void SaveNewScreencastWithTopic(Screencast screencast, Topic topic)
    {
      using (var context = new ScreencastContext())
      {
        context.Screencasts.Add(screencast);
        // context.Topics.Attach(topic);
        screencast.Topic = topic;
        context.SaveChanges();
      }
    }
public void SaveNewScreencastWithTopicId(Screencast screencast, int topicId)
{
  if (topicId > 0)
  {
    screencast.Topic = null;
    screencast.TopicId = topicId;
  }
  using (var context = new ScreencastContext())
  {
    context.Screencasts.Add(screencast);
    context.SaveChanges();
  }
}

public void SaveNewScreenCastGraph(Screencast screencast)
{
  using (var context = new ScreencastContext())
  {
    context.Screencasts.Add(screencast);
    screencast.Sections.Where(s=>s.Id>0).ToList()
      .ForEach(s=>context.Entry(s).State=EntityState.Modified);
    context.SaveChanges();
  }
}

  }
}
