﻿using System.Windows;
using System.Windows.Data;
using DomainClasses;
using Repositories;

namespace WpfApplication
{
  public partial class MainWindow : Window
  {
    private readonly StupidSimpleRepository repo = new StupidSimpleRepository();

    public MainWindow()
    {
      InitializeComponent();
    }

    private void Window_Loaded_1(object sender, RoutedEventArgs e)
    {
      var screencastViewSource = ((CollectionViewSource) (FindResource("screencastViewSource")));
      var topicViewSource = ((CollectionViewSource) (FindResource("topicViewSource")));
      topicViewSource.Source = repo.GetTopicList();
    }

    private void Save_Click(object sender, RoutedEventArgs e)
    {
      repo.SaveNewScreencastWithTopicId(new Screencast
                                          {
                                            Title = titleTextBox.Text,
                                            Description = descriptionTextBox.Text,
                                            Topic = topicListBox.SelectedItem as Topic
                                          },
                                        (int) topicListBox.SelectedValue);
    }
  }
}